Git Make时出现:tclsh failed; using unoptimized loading

Git在make的时候报错:Can’t locate ExtUtils/MakeMaker.pm in @INC

解决方法如下:

yum -y install perl-devel perl-CPAN

git 需要perl来编译。然后重新make

Git Make时出现:tclsh failed; using unoptimized loading

MSGFMT    po/bg.msg make[1]: *** [po/bg.msg] 错误 127

yum install tcl  build-essential tk gettext

安装之后使用https操作git 出现 :fatal: Unable to find remote helper for ‘https’

yum install -y curl curl-devel

然后重新安装 git

安装之后 git –version 仍然是旧版本(1.7.12)

git 安装时不使用–prefix指定安装目录,默认安装到/usr/local/bin/git ,需要把/usr/local/bin/git 复制或者ln到 /usr/bin/git

发表评论

电子邮件地址不会被公开。 必填项已用*标注